Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class C_GraphixData

    java.lang.Object
      de.farafin.snEADy.control.GaphixStuff.C_GraphixData

All Implemented Interfaces:
  I_GraphixConstants

    public class C_GraphixData

extends java.lang.Object
implements I_GraphixConstants

Author:
  larsonmars TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`protected static java.io.File[]` | `gameCustImageFiles`
`protected static java.io.File[]` | `gameImageFiles`
`protected static java.awt.image.VolatileImage[]` | `gameImages`
`protected static java.awt.image.BufferedImage[]` | `gameImagesBak`
`protected static java.awt.image.BufferedImage[]` | `gameImagesO`
`protected static java.awt.GraphicsConfiguration` | `gc`
`protected static I_Main_interface` | `main`
`protected static java.io.File[]` | `menuImageFiles`
`protected static java.awt.image.VolatileImage[]` | `menuImages`
`protected static java.awt.image.BufferedImage[]` | `menuImagesO`
`protected static int` | `version`

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, ARENAMAXSIZE, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_BLUE1, COL_BLUE2, COL_GREY1, dir_arena, dir_player, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXCOMMANDHIST, MAXFRAMECOUNT, MONSTARTX, MONSTARTY, S_ARENABG, S_BUTTADD, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_VSCROLL, S_VSCROLLBUTT, UIGRAPHIX_END`

Constructor Summary
`C_GraphixData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### main

    protected static I_Main_interface main

### version

    protected static int version

### gameImageFiles

    protected static java.io.File[] gameImageFiles

### gameCustImageFiles

    protected static java.io.File[] gameCustImageFiles

### menuImageFiles

    protected static java.io.File[] menuImageFiles

### gc

    protected static final java.awt.GraphicsConfiguration gc

### gameImagesO

    protected static java.awt.image.BufferedImage[] gameImagesO

### menuImagesO

    protected static java.awt.image.BufferedImage[] menuImagesO

### gameImagesBak

    protected static java.awt.image.BufferedImage[] gameImagesBak

### gameImages

    protected static java.awt.image.VolatileImage[] gameImages

### menuImages

    protected static java.awt.image.VolatileImage[] menuImages

Constructor Detail

### C_GraphixData

    public C_GraphixData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD